Billing Events & Usage Metering
Get Billable Metric
GET
/
metrics
/
{id}
Get Billable Metric
curl --request GET \
--url https://api.alguna.io/metrics/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alguna.io/metrics/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alguna.io/metrics/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mtr_02zBU3PJ3hJurtFSxDD3Ol",
"description": "No. of Amex Consumer Cards",
"name": "Amex Consumer",
"eventName": "transactions",
"filters": [
{
"operator": "and",
"filters": [
{
"field": "card_scheme",
"operator": "equal",
"value": "amex"
},
{
"field": "card_offering",
"operator": "equal",
"value": "consumer"
}
]
}
],
"aggregation": {
"method": "sum",
"field": "txn_value"
},
"createdAt": "2025-02-24T12:09:05.350876Z",
"updatedAt": "2025-02-24T12:09:05.350877Z",
"organizationID": "8641473c-2d34-46c6-b712-c893934fc8fb"
}
Response
string
The unique identifier for the metric.
string
A brief description of what the metric measures.
string
The name of the metric.
string
The event that triggers the metric.
[]object
An array of filter groups applied to the metric to narrow down the events counted.
Show Filter Group Properties
Show Filter Group Properties
string
The logical operator (e.g., “and”) used to combine the filters within the group.
object
datetime
The timestamp when the metric was created.
datetime
The timestamp when the metric was last updated.
string
The unique identifier for the organization associated with the metric.
{
"id": "mtr_02zBU3PJ3hJurtFSxDD3Ol",
"description": "No. of Amex Consumer Cards",
"name": "Amex Consumer",
"eventName": "transactions",
"filters": [
{
"operator": "and",
"filters": [
{
"field": "card_scheme",
"operator": "equal",
"value": "amex"
},
{
"field": "card_offering",
"operator": "equal",
"value": "consumer"
}
]
}
],
"aggregation": {
"method": "sum",
"field": "txn_value"
},
"createdAt": "2025-02-24T12:09:05.350876Z",
"updatedAt": "2025-02-24T12:09:05.350877Z",
"organizationID": "8641473c-2d34-46c6-b712-c893934fc8fb"
}
⌘I
Get Billable Metric
